Sitecore Swamp

Dive in the Sitecore Swamp

NAVIGATION - SEARCH

Missing OpenSSL lib DLLs when installing MongoDB 2.6.4

Issue:

For my work, I have to deal a lot of older Sitecore versions. In Sitecore 803, it needs MongoDB 2.6 according to the compatibility table. When I install MongoDB 2.6.4, an error popup: 

Investigation:

As read https://jira.mongodb.org/browse/SERVER-19086, some OpenSSL DLL files are missing from MongoDB 2.6.4 download, and it causes the problem to install on Windows 10. 

Resolution:

You can either download OpenSSL and find the missing DDL files there as suggested in the article. I just have it upload here

mongo-install-missing-openssl-libs.zip (944.23 kb) (SHA1: 050967C31CE3B728038003814F43883BC2108E68)

Cheers!

Add comment